import { Routes } from '@angular/router';
import { TabsPage } from './tabs.page';

export const routes: Routes = [
  {
    path: 'tabs',
    component: TabsPage,
    children: [
      {
        path: 'tab1',
        loadComponent: () =>
          import('../tab1/tab1.page').then((m) => m.Tab1Page),
      },
      {
        path: 'tab2',
        loadComponent: () =>
          import('../tab2/tab2.page').then((m) => m.Tab2Page),
      },
      {
        path: 'tab3',
        loadComponent: () =>
          import('../tab3/tab3.page').then((m) => m.Tab3Page),
      },
      {
        path: 'topic-detail',
        loadComponent: () =>
          import('../topic-detail/topic-detail.component').then((m) => m.TopicDetailComponent),
      },
      {
        path: 'topic-detail2',
        loadComponent: () =>
          import('../topic-detail2/topic-detail2.component').then((m) => m.TopicDetail2Component),
      },
      {
        path: 'topic-detail3',
        loadComponent: () =>
          import('../topic-detail3/topic-detail3.component').then((m) => m.TopicDetail3Component),
      },
      {
        path: 'page-psysurvey',
        loadComponent: () =>
          import('../page-psysurvey/page-psysurvey.component').then((m) => m.PagePsysurveyComponent),
      },
      {
        path: 'page-publishsurvey',
        loadComponent: () =>
          import('../page-publishsurvey/page-publishsurvey.component').then((m) => m.PagePublishsurveyComponent),
      },
      {
        path: 'consult-picture',
        loadComponent: () =>
          import('../consult-picture/consult-picture.component').then((m) => m.ConsultPictureComponent),
      },
      {
        path: 'report-modal',
        loadComponent: () =>
          import('../report-modal/report-modal.component').then((m) => m.ReportModalComponent),
      },
      {
        path: '',
        redirectTo: '/tabs/tab1',
        pathMatch: 'full',
      },
      {
        path: 'drift-bottle',
        loadComponent: () =>
          import('../drift-bottle/drift-bottle.component').then((m) => m.DriftBottleComponent),
      },
      {
        path: 'my-drift-bottle',
        loadComponent: () =>
          import('../my-drift-bottle/my-drift-bottle.component').then((m) => m.MyDriftBottleComponent),
      },
      
    ],
  },
  {
    path: '',
    redirectTo: '/tabs/tab1',
    pathMatch: 'full',
  },
];
